/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

### File Specific:
   main-programmer: hdavid, amaechler
*/

#include "volfog_effect.h"

#include "util/loading/load_param.h"
#include "util/loading/factory.h"

#include "glincl.h"

#include "shell_command.h"

using namespace std;

CREATE_FACTORY(VolFogEffect, CL_VOLFOG_EFFECT);

VolFogEffect::VolFogEffect(const TiXmlElement* root)
{
  this->setClassID(CL_VOLFOG_EFFECT, "VolFogEffect");

  if (root != NULL)
    this->loadParams(root);
  
  this->activate();
}


VolFogEffect::~VolFogEffect()
{
  this->deactivate();
}


void VolFogEffect::loadParams(const TiXmlElement* root)
{
  WeatherEffect::loadParams(root);

  LoadParam(root, "test", this, VolFogEffect, test);
}

void VolFogEffect::test(int t)
{
PRINTF(0)("test\n\n");
}

bool VolFogEffect::init()
{}



bool VolFogEffect::activate()
{
  PRINTF(0)("Activate VolFogEffect\n");
}

bool VolFogEffect::deactivate()
{
  PRINTF(0)("Deactivate VolFogEffect\n");
}


/**
 * draws the effect, if needed
 */
void VolFogEffect::draw() const
{
  PRINTF(0)("DRAW VolFogEffect\n");
}



/**
 * ticks the effect if there is any time dependancy
 */
void VolFogEffect::tick(float dt)	
{
  PRINTF(0)("TICK VolFogEffect\n");
}
